
package modelo;

import java.sql.*;
public class GestionClientes {
    Datos dt;
    public GestionClientes(String driver, String cadenacon) {
        dt=new Datos(driver,cadenacon);
    }
    public boolean validar(String user, String pwd){
        boolean estado=false;
        try{
         Connection cn=dt.getConexion();
         //instrucción SQL para obtener los datos
         //del usuario indicado
         String query = "select * from clientes where password ='";
         query+=pwd+"' and usuario='"+user+"'";
         Statement st =cn.createStatement();
         ResultSet rs = st.executeQuery(query); 
         estado= rs.next();
         dt.cierraConexion(cn);
        }
         catch(Exception e){
             e.printStackTrace();
         }
        finally{
            return estado;
        }
    }
    public void registrar(String nombre, String apellidos, String usuario, String password, String email){
         String query = "INSERT INTO clientes values('";
         query+=nombre+"','"+apellidos+"','"+usuario+"','"+password+"','"+email+"')";
         try{
            Connection cn=dt.getConexion();
            Statement st =cn.createStatement();
            st.execute(query);
            st.close();
            dt.cierraConexion(cn);
         }
         catch(Exception e){e.printStackTrace();}
    }

}
